Get all team member schedules
curl --request GET \
--url https://api.cal.com/v2/teams/{teamId}/schedules \
--header 'Authorization: <authorization>'import requests
url = "https://api.cal.com/v2/teams/{teamId}/schedules"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.cal.com/v2/teams/{teamId}/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": [
{
"id": 254,
"ownerId": 478,
"name": "Catch up hours",
"timeZone": "Europe/Rome",
"availability": [
{
"days": [
"Monday",
"Tuesday"
],
"startTime": "17:00",
"endTime": "19:00"
},
{
"days": [
"Wednesday",
"Thursday"
],
"startTime": "16:00",
"endTime": "20:00"
}
],
"isDefault": true,
"overrides": [
{
"date": "2024-05-20",
"startTime": "18:00",
"endTime": "21:00"
}
]
}
]
}Teams
Get all team member schedules
If accessed using an OAuth access token, the TEAM_SCHEDULE_READ scope is required.
GET
/
v2
/
teams
/
{teamId}
/
schedules
Get all team member schedules
Headers
value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token
Path Parameters
Query Parameters
Maximum number of items to return
Required range:
1 <= x <= 250Example:
25
Number of items to skip
Required range:
x >= 0Example:
0
Was this page helpful?
⌘I